/* Copyright (c) 2008 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package com.google.gdata.util;

/**
 * XML namespace type used by {@link XmlBlob}.
 *
 * 
 */
public class XmlNamespace {

  public XmlNamespace(String alias, String uri) {
    this.alias = alias;
    this.uri = uri;
  }

  /** Namespace alias. */
  protected String alias;
  public String getAlias() { return alias; }
  public void setAlias(String v) { alias = v; }

  /** Namespace URI. */
  protected String uri;
  public String getUri() { return uri; }
  public void setUri(String v) { uri = v; }
}

